## org.apache.tomcat.util.net
Class AprEndpoint.SendfileData

    java.lang.Object
      org.apache.tomcat.util.net.AprEndpoint.SendfileData

Enclosing class:
  AprEndpoint

    public static class AprEndpoint.SendfileData

extends java.lang.Object

SendfileData class.

Field Summary
`long` `end`
`long` `fd`
`long` `fdpool`
`java.lang.String` `fileName`
`boolean` `keepAlive`
`long` `pos`
`long` `socket`
`long` `start`

Constructor Summary
`AprEndpoint.SendfileData()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fileName

    public java.lang.String fileName

### fd

    public long fd

### fdpool

    public long fdpool

### start

    public long start

### end

    public long end

### socket

    public long socket

### pos

    public long pos

### keepAlive

    public boolean keepAlive

Constructor Detail

### AprEndpoint.SendfileData

    public AprEndpoint.SendfileData()

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.